easy_admin:
   site_name: '<a title="Retour vers le site E-BO." href="https://logistiquevdl-dev.appheb.enedis-grdf.fr:19359/e-bo/public/index.php/accueil"<i class="fa fa-arrow-circle-left arrow_back" aria-hidden="true" style="color: green; "></i></a><h1 class="bleu_enedis left_50">E - BO ADMINISTRATION</h1>'
   design:
        assets:
            css:
                - '/css_admin'
                - '/css_admin_app'
            js:
                - '/js_admin_app'
        menu:
            - { entity: 'Materiel', icon: 'hammer' }
            - { entity: 'TypeMateriel', icon: 'toolbox' }
            - { entity: 'Categorie', icon: 'folder-open-o' }
            - { entity: 'FamilleMateriel', icon: 'users' }
            - { entity: 'Geo', icon: 'globe' }
            - { entity: 'Individu', icon: 'user' }
            - { entity: 'Vehicule', icon: 'taxi' }
            - { entity: 'Local', icon: 'home' }
            - { entity: 'MaterielIndividu', icon: 'exchange' }
            - { entity: 'MaterielVehicule', icon: 'exchange' }
            - { entity: 'MaterielLocal', icon: 'exchange' }
            - { entity: 'ColonnesTimes', icon: 'columns' }
   disabled_actions: ['delete']
   entities:
        TypeMateriel:
            class: App\Entity\TypeMateriel
            label: 'Les types de matériels'
            list:
                sort: ['libelle', 'ASC']
                filters: ['libelle', 'famille', 'categorie', 'famille', 'marque', 'periodicite', 'duree_vie']
                fields:
                    - { property: 'libelle', label: 'Libellé' }
                    - { property: 'categorie', label: 'Categorie' }
                    - { property: 'famille', label: 'Famille' }
                    - { property: 'marque', label: 'Marque' }
                    - { property: 'periodicite', label: 'Périodicité' }
                    - { property: 'duree_vie', label: 'Durée de vie' }
            new:
              fields:
                    - { property: 'libelle', label: 'Libellé' }
                    - { property: 'categorie', label: 'Categorie' }
                    - { property: 'famille', label: 'Famille' }
                    - { property: 'marque', label: 'Marque' }
                    - { property: 'periodicite', label: 'Périodicité' }
                    - { property: 'duree_vie', label: 'Durée de vie' }
            edit:
                fields:
                    - { property: 'libelle', label: 'Libellé' }
                    - { property: 'categorie', label: 'Categorie' }
                    - { property: 'famille', label: 'Famille' }
                    - { property: 'marque', label: 'Marque' }
                    - { property: 'periodicite', label: 'Périodicité' }
                    - { property: 'duree_vie', label: 'Durée de vie' }
            search:
                sort: ['libelle', 'ASC']
        Materiel:
            class: App\Entity\Materiel
            label: 'Matériels'
            list:
                sort: ['id', 'DESC']
                filters: ['type_materiel', 'num_serie', 'num_serval', 'num_times', 'quantite']
                fields:
                    - { property: 'id', label: 'ID' }
                    - { property: 'type_materiel', label: 'Type de matériel' }
                    - { property: 'num_serie', label: 'Numero de série' }
                    - { property: 'num_serval', label: 'Numero Serval' }
                    - { property: 'num_times', label: 'Numero TIMES' }
                    - { property: 'quantite', label: 'Quantité' }
            search:
                sort: ['type_materiel', 'ASC']
        Categorie:
            class: App\Entity\Categorie
            label: 'Catégories de matériels'
            list:
                sort: ['designation', 'ASC']
                filters: ['designation']
                fields:
                    - { property: 'designation', label: 'Catégorie' }
            search:
                sort: ['designation', 'ASC']
        FamilleMateriel:
            class: App\Entity\FamilleMateriel
            label: 'Familles de matériels'
            list:
                sort: ['libelle', 'ASC']
                filters: ['type_controle', 'libelle', 'sous_famille']
                fields:
                    - { property: 'type_controle', label: 'Type de contrôle',  }
                    - { property: 'libelle', label: 'Famille',  }
                    - { property: 'sous_famille', label: 'Sous-famille',  }
            search:
                sort: ['libelle', 'ASC']
        MarqueMateriel:
            class: App\Entity\MarqueMateriel
            label: 'Marques de matériels'
            list:
                sort: ['libelle', 'ASC']
                filters: ['libelle', 'modele']
                fields:
                    - { property: 'libelle', label: 'Marque' }
                    - { property: 'modele', label: 'Modèle' }
            search:
                sort: ['libelle', 'ASC']
        Geo:
            class: App\Entity\Geo
            label: 'Entités Géographiques'
            list:
                sort: ['fsdum', 'ASC']
                filters: ['um', 'dum', 'sdum', 'fsdum']
                fields:
                    - { property: 'um', label: 'um' }
                    - { property: 'dum', label: 'dum' }
                    - { property: 'sdum', label: 'sdum' }
                    - { property: 'fsdum', label: 'B.O.' }
            search:
                sort: ['fsdum', 'ASC']
        Individu:
            class: App\Entity\Individu
            label: 'Individus'
            list:
                sort: ['nom', 'ASC']
                filters: ['geo', 'nom', 'prenom', 'nni']
                fields:
                    - { property: 'nom', label: 'Nom' }
                    - { property: 'prenom', label: 'Prénom' }
                    - { property: 'nni', label: 'NNI' }
                    - { property: 'geo', label: 'bo' }
                    - { property: 'nom_photo', label: 'Photo', type: 'image', base_path: uploads/files }
            new:
              fields:
                    - { property: 'nom', label: 'Nom' }
                    - { property: 'prenom', label: 'Prénom' }
                    - { property: 'nni', label: 'NNI' }
                    - { property: 'geo', label: 'bo' }
                    - { property: 'rol', label: 'Rôle pour suivi des contrôles' }
                    - { property: 'rol_flotte', label: 'Rôle pour suivi de la flotte véhicule' }
                    - { property: 'parti', label: 'Parti' }
                    - { property: 'no_ebo', label: "Non visible dans l'application" }
                    - { property: 'nom_photo', label: 'Photo', type: 'file_upload' }
            edit:
                fields:
                    - { property: 'nom', label: 'Nom' }
                    - { property: 'prenom', label: 'Prénom' }
                    - { property: 'nni', label: 'NNI' }
                    - { property: 'geo', label: 'bo' }
                    - { property: 'rol', label: 'Rôle pour suivi des contrôles' }
                    - { property: 'rol_flotte', label: 'Rôle pour suivi de la flotte véhicule' }
                    - { property: 'parti', label: 'Parti' }
                    - { property: 'no_ebo', label: "Non visible dans l'application" }
                    - { property: 'chemin_photo', label: 'Photo', type: 'file_upload' }
            search:
                sort: ['nom', 'ASC']
        Vehicule:
            class: App\Entity\Vehicule
            label: 'Véhicules'
            list:
                sort: ['geo', 'ASC']
                filters: ['geo', 'designation', 'immatriculation', 'conducteur']
                fields:
                    - { property: 'geo', label: 'bo' }
                    - { property: 'designation', label: 'Nom' }
                    - { property: 'immatriculation', label: 'Immatriculation' }
                    - { property: 'conducteur', label: 'Conducteur' }
                    - { property: 'nom_photo', label: 'Photo', type: 'image', base_path: uploads/files }
            new:
              fields:
                    - { property: 'geo', label: 'bo' }
                    - { property: 'designation', label: 'Nom' }
                    - { property: 'immatriculation', label: 'Immatriculation' }
                    - { property: 'conducteur', label: 'Conducteur' }
                    - { property: 'responsable', label: 'Responsable' }
                    - { property: 'km', label: 'Kilométrage' }
                    - { property: 'nom_photo', label: 'Photo', type: 'file_upload' }
                    - { property: 'plus_en_service', label: 'Plus en service' }
            edit:
                fields:
                    - { property: 'geo', label: 'bo' }
                    - { property: 'designation', label: 'Nom' }
                    - { property: 'immatriculation', label: 'Immatriculation' }
                    - { property: 'conducteur', label: 'Conducteur' }
                    - { property: 'responsable', label: 'Responsable' }
                    - { property: 'km', label: 'Kilométrage' }
                    - { property: 'chemin_photo', label: 'Photo', type: 'file_upload' }
                    - { property: 'plus_en_service', label: 'Plus en service' }
            search:
                sort: ['designation', 'ASC']
        Local:
            class: App\Entity\Local
            label: 'Locaux'
            list:
                sort: ['geo', 'ASC']
                filters: ['designation', 'position', 'geo']
                fields:
                    - { property: 'designation', label: 'nom' }
                    - { property: 'geo', label: 'bo' }
                    - { property: 'position', label: 'position' }
                    - { property: 'nom_photo', label: 'Photo', type: 'image', base_path: uploads/files }
            new:
              fields:
                    - { property: 'designation', label: 'nom' }
                    - { property: 'geo', label: 'bo' }
                    - { property: 'position', label: 'position' }
                    - { property: 'nom_photo', label: 'Photo', type: 'file_upload' }
                    - { property: 'plus_en_service', label: 'Plus en service' }
            edit:
                fields:
                    - { property: 'designation', label: 'nom' }
                    - { property: 'geo', label: 'bo' }
                    - { property: 'position', label: 'position' }
                    - { property: 'chemin_photo', label: 'Photo', type: 'file_upload' }
                    - { property: 'plus_en_service', label: 'Plus en service' }
            search:
                sort: ['geo', 'ASC']
        MaterielIndividu:
            class: App\Entity\MaterielIndividu
            label: 'Associer matériels et individus'
            list:
                sort: ['individu', 'ASC']
                filters: ['materiel', 'individu']
                fields:
                    - { property: 'materiel', label: 'Matériel' }
                    - { property: 'individu', label: 'individu' }
                    - { property: 'histo', label: 'historique' }
            form:
                fields:
                    - { property: 'materiel', label: 'Matériel' }
                    - { property: 'individu', label: 'Individu' }
                    - { property: 'histo', label: 'historique' }
            search:
                sort: ['individu', 'ASC']
        MaterielVehicule:
            class: App\Entity\MaterielVehicule
            label: 'Associer matériels et vehicules'
            list:
                sort: ['materiel', 'ASC']
                filters: ['materiel', 'vehicule']
                fields:
                    - { property: 'materiel', label: 'Matériel' }
                    - { property: 'vehicule', label: 'vehicule' }
                    - { property: 'histo', label: 'historique' }
            form:
                fields:
                    - { property: 'materiel', label: 'Matériel' }
                    - { property: 'vehicule', label: 'vehicule' }
                    - { property: 'histo', label: 'historique' }
            search:
                sort: ['materiel', 'ASC']
        MaterielLocal:
            class: App\Entity\MaterielLocal
            label: 'Associer matériels et locaux'
            list:
                sort: ['materiel', 'ASC']
                filters: ['materiel', 'local']
                fields:
                    - { property: 'materiel', label: 'Matériel' }
                    - { property: 'local', label: 'Local' }
                    - { property: 'histo', label: 'historique' }
            form:
                fields:
                    - { property: 'materiel', label: 'Matériel' }
                    - { property: 'local', label: 'Local' }
                    - { property: 'histo', label: 'historique' }
            search:
                sort: ['materiel', 'ASC']
        ColonnesTimes:
            class: App\Entity\ColonnesTimes
            label: 'Les noms des colonnes dans TIMES'
            disabled_actions: ['new', 'delete']
            list:
                sort: ['libelle_dans_times', 'ASC']
                filters: ['libelle_dans_times']
                fields:
                    - { property: 'libelle_dans_times', label: 'Nom dans fichier Excel' }
            edit:
                fields:
                    - { property: 'libelle_dans_times', label: 'Nom dans fichier Excel' }
            search:
                sort: ['libelle_dans_times', 'ASC']
